# pandas.core.window.rolling.Rolling.max

Rolling.max(*args, engine=None, engine_kwargs=None, **kwargs)

  Calculate the rolling maximum.

  Parameters
    *args

      For NumPy compatibility and will not have an effect on the result.

    engine str, default None

      - `'cython'` : Runs the operation through C-extensions from cython.

      - `'numba'` : Runs the operation through JIT compiled code from numba.

      - `None` : Defaults to `'cython'` or globally setting `compute.use_numba`

        New in version 1.3.0.

    engine_kwargs dict, default None

      - For `'cython'` engine, there are no accepted `engine_kwargs`

      - For `'numba'` engine, the engine can accept `nopython`, `nogil` and `parallel` dictionary keys. The values must either be `True` or `False`. The default `engine_kwargs` for the `'numba'` engine is `{'nopython': True, 'nogil': False, 'parallel': False}`

        New in version 1.3.0.

    **kwargs

      For NumPy compatibility and will not have an effect on the result.

  Returns
    Series or DataFrame

      Return type is the same as the original object.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.max`

    Aggregating max for Series.

  `pandas.DataFrame.max`

    Aggregating max for DataFrame.

  Notes

  See Numba engine and Numba (JIT compilation) for extended documentation and performance considerations for the Numba engine.